JdbcServicesImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.internal
Class JdbcServicesImpl

    java.lang.Object
      org.hibernate.engine.jdbc.internal.JdbcServicesImpl

All Implemented Interfaces:
  Serializable, JdbcServices, Service, Configurable, ServiceRegistryAwareService

    public class JdbcServicesImpl

extends Object
implements JdbcServices, ServiceRegistryAwareService, Configurable

Standard implementation of the `JdbcServices` contract

See Also:
  Serialized Form

Field Summary
`static String` | `SCHEMA_NAME_RESOLVER`

Constructor Summary
`JdbcServicesImpl()`

Method Summary
`void` | `configure(Map configValues)` Configure the service.
`ConnectionProvider` | `getConnectionProvider()` Obtain service for providing JDBC connections.
`Dialect` | `getDialect()` Obtain the dialect of the database to which `connections` from `JdbcServices.getConnectionProvider()` point.
`ExtractedDatabaseMetaData` | `getExtractedMetaDataSupport()` Obtain information about supported behavior reported by the JDBC driver.
`LobCreator` | `getLobCreator(LobCreationContext lobCreationContext)` Create an instance of a `LobCreator` appropriate for the current environment, mainly meant to account for variance between JDBC 4 (<= JDK 1.6) and JDBC3 (>= JDK 1.5).
`ResultSetWrapper` | `getResultSetWrapper()` Obtain service for wrapping a `ResultSet` in a "column name cache" wrapper.
`SqlExceptionHelper` | `getSqlExceptionHelper()` Obtain service for dealing with exceptions.
`SqlStatementLogger` | `getSqlStatementLogger()` Obtain service for logging SQL statements.
`void` | `injectServices(ServiceRegistryImplementor serviceRegistry)` Callback to inject the registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCHEMA_NAME_RESOLVER

    public static final String SCHEMA_NAME_RESOLVER

See Also:
  Constant Field Values

Constructor Detail

### JdbcServicesImpl

    public JdbcServicesImpl()

Method Detail

### injectServices

    public void injectServices(ServiceRegistryImplementor serviceRegistry)

  Description copied from interface: `ServiceRegistryAwareService`
  Callback to inject the registry.

  Specified by:
    `injectServices` in interface `ServiceRegistryAwareService`
  Parameters:
    `serviceRegistry` - The registry

### configure

    public void configure(Map configValues)

  Description copied from interface: `Configurable`
  Configure the service.

  Specified by:
    `configure` in interface `Configurable`
  Parameters:
    `configValues` - The configuration properties.

### getConnectionProvider

    public ConnectionProvider getConnectionProvider()

  Description copied from interface: `JdbcServices`
  Obtain service for providing JDBC connections.

  Specified by:
    `getConnectionProvider` in interface `JdbcServices`
  Returns:
    The connection provider.

### getSqlStatementLogger

    public SqlStatementLogger getSqlStatementLogger()

  Description copied from interface: `JdbcServices`
  Obtain service for logging SQL statements.

  Specified by:
    `getSqlStatementLogger` in interface `JdbcServices`
  Returns:
    The SQL statement logger.

### getSqlExceptionHelper

    public SqlExceptionHelper getSqlExceptionHelper()

  Description copied from interface: `JdbcServices`
  Obtain service for dealing with exceptions.

  Specified by:
    `getSqlExceptionHelper` in interface `JdbcServices`
  Returns:
    The exception helper service.

### getDialect

    public Dialect getDialect()

  Description copied from interface: `JdbcServices`
  Obtain the dialect of the database to which `connections` from `JdbcServices.getConnectionProvider()` point.

  Specified by:
    `getDialect` in interface `JdbcServices`
  Returns:
    The database dialect.

### getExtractedMetaDataSupport

    public ExtractedDatabaseMetaData getExtractedMetaDataSupport()

  Description copied from interface: `JdbcServices`
  Obtain information about supported behavior reported by the JDBC driver.

  Yuck, yuck, yuck! Much prefer this to be part of a "basic settings" type object.

  Specified by:
    `getExtractedMetaDataSupport` in interface `JdbcServices`
  Returns:
    The extracted database metadata, oddly enough :)

### getLobCreator

    public LobCreator getLobCreator(LobCreationContext lobCreationContext)

  Description copied from interface: `JdbcServices`
  Create an instance of a `LobCreator` appropriate for the current environment, mainly meant to account for variance between JDBC 4 (<= JDK 1.6) and JDBC3 (>= JDK 1.5).

  Specified by:
    `getLobCreator` in interface `JdbcServices`
  Parameters:
    `lobCreationContext` - The context in which the LOB is being created
  Returns:
    The LOB creator.

### getResultSetWrapper

    public ResultSetWrapper getResultSetWrapper()

  Description copied from interface: `JdbcServices`
  Obtain service for wrapping a `ResultSet` in a "column name cache" wrapper.

  Specified by:
    `getResultSetWrapper` in interface `JdbcServices`
  Returns:
    The ResultSet wrapper.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.